package com.atmob.keyboard_android.util.bridge.api

import com.atmob.keyboard_android.enums.host.HostMainTab

/**
 * 路由跳转API
 */
interface RouteJumpApi {
    /**
     * 跳转去启动页
     */
    fun jump2SplashPage(quiesceJump: Boolean)

    /**
     * 跳转到登录页
     */
    fun jump2LoginPage()

    /**
     * 跳转到首页
     *
     * @param mainTab 切换到首页的哪个Tab
     */
    fun jump2MainPage(mainTab: HostMainTab)

    /**
     * 跳转到定制人设页
     */
    fun jump2CustomCharacterPage()

    /**
     * 跳转到VIP商店
     */
    fun jump2VipStore()

    /**
     * 跳转去亲密度界面
     */
    fun jump2IntimacyPage()
}